package com.cool.bang.modules.approval.domain.po;

import com.cool.bang.common.base.BaseDomain;
import com.cool.bang.modules.approval.domain.ApprovalRecord;
import org.apache.ibatis.type.Alias;

/**
 * 描述：审批节点对象 clfzj_approval_node
 *
 * @author PeiZhi Guo
 * 2022-08-15 15:48
 */
@Alias("ApprovalNode")
public class ApprovalNode extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 流程主键
     */
    private Long flowId;

    /**
     * 流程编号
     */
    private String flowNumber;

    /**
     * 节点类型 1开始节点、2运行节点、3结束节点
     */
    private Integer nodeType;

    /**
     * 节点名称
     */
    private String nodeName;

    /**
     * 上一节点
     */
    private Long prevNodeId;

    /**
     * 下一节点
     */
    private Long nextNodeId;

    /**
     * 审批人主键
     */
    private Long userId;

    /**
     * 排序
     */
    private Integer number;

    /**
     * 审批人名称
     */
    private String userName;

    /**
     * 删除标识 1正常 0删除
     */
    private Integer delFlag;

    /**
     * 审批记录
     */
    private ApprovalRecord approvalRecord;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public String getFlowNumber() {
        return flowNumber;
    }

    public void setFlowNumber(String flowNumber) {
        this.flowNumber = flowNumber;
    }

    public Integer getNodeType() {
        return nodeType;
    }

    public void setNodeType(Integer nodeType) {
        this.nodeType = nodeType;
    }

    public String getNodeName() {
        return nodeName;
    }

    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }

    public Long getPrevNodeId() {
        return prevNodeId;
    }

    public void setPrevNodeId(Long prevNodeId) {
        this.prevNodeId = prevNodeId;
    }

    public Long getNextNodeId() {
        return nextNodeId;
    }

    public void setNextNodeId(Long nextNodeId) {
        this.nextNodeId = nextNodeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }

    public ApprovalRecord getApprovalRecord() {
        return approvalRecord;
    }

    public void setApprovalRecord(ApprovalRecord approvalRecord) {
        this.approvalRecord = approvalRecord;
    }

    @Override
    public String toString() {
        return "ApprovalNode{" +
                "id=" + id +
                ", flowId=" + flowId +
                ", flowNumber='" + flowNumber + '\'' +
                ", nodeType=" + nodeType +
                ", nodeName='" + nodeName + '\'' +
                ", prevNodeId=" + prevNodeId +
                ", nextNodeId=" + nextNodeId +
                ", userId=" + userId +
                ", number=" + number +
                ", userName='" + userName + '\'' +
                ", delFlag=" + delFlag +
                ", approvalRecord=" + approvalRecord +
                '}';
    }
}
